# spec file for package nodejs-nodejs-realize-package-specifier

%global npm_name realize-package-specifier
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:           nodejs-realize-package-specifier
Version:        3.0.0
Release:        1%{?dist}
Summary:        Like npm-package-arg, but more so, producing full file paths and differentiating local tar and directory sources.
Url:            https://github.com/npm/realize-package-specifier
Source0:        http://registry.npmjs.org/realize-package-specifier/-/realize-package-specifier-%{version}.tgz
License:        ISC
BuildArch:	noarch
ExclusiveArch:	%{nodejs_arches} noarch

BuildRequires:  nodejs-devel
BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires: npm(require-inject)
BuildRequires: npm(tap)
%endif

BuildRequires: npm(dezalgo)
BuildRequires: npm(npm-package-arg)

Requires: npm(dezalgo)
Requires: npm(npm-package-arg)

%description
Like npm-package-arg, but more so, producing full file paths and differentiating local tar and directory sources.

%prep
%setup -q -n package

%{nodejs_fixdep} require-inject
%{nodejs_fixdep} tap

%build
#nothing to do

%install
rm -rf %buildroot

mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}

cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{npm_name}

%{nodejs_symlink_deps}

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
tap test/*.js
%endif

%clean
rm -rf %buildroot

%files
%{nodejs_sitelib}/realize-package-specifier

%doc README.md

%changelog
* Thu May 14 2015 Zuzana Svetlikova <zsvetlik@redhat.com> - 3.0.0-1
- Initial build
